HTMLCanvasElement.prototype.getContext = function() {
    return {
        fillRect: function() {},
        clearRect: function() {},
        getImageData: function(_x, _y, w, h) {
            return {
                data: new Array(w * h * 4)
            };
        },
        putImageData: function() {},
        createImageData: function() { return []; },
        setTransform: function() {},
        drawImage: function() {},
        save: function() {},
        fillText: function() {},
        restore: function() {},
        beginPath: function() {},
        moveTo: function() {},
        lineTo: function() {},
        closePath: function() {},
        stroke: function() {},
        translate: function() {},
        scale: function() {},
        rotate: function() {},
        arc: function() {},
        fill: function() {},
        measureText: function() {
            return { width: 0 };
        },
        transform: function() {},
        rect: function() {},
        clip: function() {},
        bezierCurveTo: function() {}
    };
};

HTMLCanvasElement.prototype.toDataURL = function() {
    return "data:image/png;base64,";
};

window.requestAnimationFrame = window.setTimeout;
window.cancelAnimationFrame = window.clearTimeout;
