# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [20.0.17](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.16...@progress/kendo-angular-tasks@20.0.17) (2023-10-27)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [20.0.16](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.15...@progress/kendo-angular-tasks@20.0.16) (2023-08-25)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [20.0.15](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.14...@progress/kendo-angular-tasks@20.0.15) (2022-12-05)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [20.0.14](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.13...@progress/kendo-angular-tasks@20.0.14) (2022-11-03)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [20.0.13](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.12...@progress/kendo-angular-tasks@20.0.13) (2022-11-03)


### Bug Fixes

* **angular-tasks:** limit Jest workers to 4 ([b75f546](https://github.com/telerik/kendo-build-tasks/commit/b75f5463faaea4c2afbe37c8f88106458309a693))





## [20.0.12](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.11...@progress/kendo-angular-tasks@20.0.12) (2022-10-12)


### Bug Fixes

* strip pr refs from changelog ([#379](https://github.com/telerik/kendo-build-tasks/issues/379)) ([a59b998](https://github.com/telerik/kendo-build-tasks/commit/a59b998aad329b9595de34ef5fc67348bf672cfb)), closes [telerik/k2#820](https://github.com/telerik/k2/issues/820)





## [20.0.11](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.10...@progress/kendo-angular-tasks@20.0.11) (2022-09-20)


### Bug Fixes

* bump version ([#378](https://github.com/telerik/kendo-build-tasks/issues/378)) ([92384b5](https://github.com/telerik/kendo-build-tasks/commit/92384b56bdd2a051bf811a98b795b714ba99dbd6))





## [20.0.10](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.9...@progress/kendo-angular-tasks@20.0.10) (2022-09-08)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [20.0.9](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.8...@progress/kendo-angular-tasks@20.0.9) (2022-08-24)


### Bug Fixes

* bump ng tasks version ([#376](https://github.com/telerik/kendo-build-tasks/issues/376)) ([cf65a1b](https://github.com/telerik/kendo-build-tasks/commit/cf65a1b602b91a5c55f60aade8954416a06c5d6d))
* clean up protractor ([#375](https://github.com/telerik/kendo-build-tasks/issues/375)) ([8733a71](https://github.com/telerik/kendo-build-tasks/commit/8733a71f7521b4b6361c0ed89f2d22e0e5e7193e))





## [20.0.8](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.7...@progress/kendo-angular-tasks@20.0.8) (2022-08-22)


### Bug Fixes

* bump dev version ([#373](https://github.com/telerik/kendo-build-tasks/issues/373)) ([72ca9b4](https://github.com/telerik/kendo-build-tasks/commit/72ca9b4c59a845cd0439dbd55d5d6e983334ab13))





## [20.0.7](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.6...@progress/kendo-angular-tasks@20.0.7) (2022-08-16)


### Bug Fixes

* Revert "fix: force legacy ssl provider ([#366](https://github.com/telerik/kendo-build-tasks/issues/366))" ([#369](https://github.com/telerik/kendo-build-tasks/issues/369)) ([73c9def](https://github.com/telerik/kendo-build-tasks/commit/73c9deff3523195a166915efba1e6a84147457a3))





## [20.0.6](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.5...@progress/kendo-angular-tasks@20.0.6) (2022-08-15)


### Bug Fixes

* force legacy ssl provider ([#366](https://github.com/telerik/kendo-build-tasks/issues/366)) ([4d5ebb8](https://github.com/telerik/kendo-build-tasks/commit/4d5ebb8465b0a89f47c1f2f52b8c20cbffafa878))





## [20.0.5](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.4...@progress/kendo-angular-tasks@20.0.5) (2022-06-21)


### Bug Fixes

* correctly resolve compiler path ([bf31427](https://github.com/telerik/kendo-build-tasks/commit/bf314278af6f8490d2ab403e1a7170f7d709b882))





## [20.0.4](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.3...@progress/kendo-angular-tasks@20.0.4) (2022-06-08)


### Bug Fixes

* replace '[@telerik](https://github.com/telerik)' scope '[@progress](https://github.com/progress)' with ([892aa8d](https://github.com/telerik/kendo-build-tasks/commit/892aa8db5437d16b91f00655bc1f5bc256b9ff86))





## [20.0.3](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.2...@progress/kendo-angular-tasks@20.0.3) (2022-06-06)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [20.0.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.1...@progress/kendo-angular-tasks@20.0.2) (2022-06-06)


### Bug Fixes

* **kendo-angular:** UMD import name for @telerik/kendo-intl ([6a1ebf2](https://github.com/telerik/kendo-build-tasks/commit/6a1ebf27185490ad2adc782fffab3530b89b7e54))
* Webpack loaders ([d4974ff](https://github.com/telerik/kendo-build-tasks/commit/d4974ff9c85b3b5f8c98b667765f9c4a0a47727e))





## [20.0.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@20.0.0...@progress/kendo-angular-tasks@20.0.1) (2022-04-29)

**Note:** Version bump only for package @progress/kendo-angular-tasks





# [20.0.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@19.3.5...@progress/kendo-angular-tasks@20.0.0) (2022-04-19)


### Bug Fixes

* add @angular/localize to polyfills ([ca69580](https://github.com/telerik/kendo-build-tasks/commit/ca6958058fe595011345d5b1280da42622c53e64))
* **angular-tasks:** allow adding assets to package ([b385668](https://github.com/telerik/kendo-build-tasks/commit/b3856686bf68aab0022682bdf62bc8e2f448e957))
* **angular-tasks:** disable jest lint rules in examples ([cda65e8](https://github.com/telerik/kendo-build-tasks/commit/cda65e84426bca0714afa48cb757e98aab150690))
* **angular-tasks:** load e2e config when running ci-angular-e2e ([9065955](https://github.com/telerik/kendo-build-tasks/commit/9065955077ed9e540bd9c46c3279a9450d5bec29))
* changelog ([dae6822](https://github.com/telerik/kendo-build-tasks/commit/dae68228558488bc7c6c370a59c4e0314bccffa3))
* enable JIT compilation ([40fbd3a](https://github.com/telerik/kendo-build-tasks/commit/40fbd3a88501e1d00ff872564d9684f2d86969d5))
* ignore dist in tests ([bd28457](https://github.com/telerik/kendo-build-tasks/commit/bd28457d0fe008e5aa2be663ed12dae02fbf83d9))
* jest matcher types ([97b128a](https://github.com/telerik/kendo-build-tasks/commit/97b128a3f077f30a0775415cda6366bd058e4f93))
* package schematics ([40535ca](https://github.com/telerik/kendo-build-tasks/commit/40535caf767e6a40d2a826ce29c0c678ec505b50))
* update type checker plugin ([208ec58](https://github.com/telerik/kendo-build-tasks/commit/208ec5800f12b3171553cfefd992c589a542708b))
* use only 2 workers ([09be3f9](https://github.com/telerik/kendo-build-tasks/commit/09be3f93bf0de355d2762e7834c7cc5943967f4b))


### Features

* **kendo-angular:** add jest preset ([a829d40](https://github.com/telerik/kendo-build-tasks/commit/a829d4086481655aabf3ab993626eb20be6b7572))
* migrate to eslint ([469811f](https://github.com/telerik/kendo-build-tasks/commit/469811f3201e08e6d61d18e37275ed71e2427832))
* update do TS 4.3, Jest 27 and Angular v12 ([cc7bb34](https://github.com/telerik/kendo-build-tasks/commit/cc7bb34978586a12a14d08822ea03d7c2b6c0daa))


### BREAKING CHANGES

* Requires TypeScript 4.3.x
* Requires Jest 27.x
* Requires Angular 12.x





## [19.3.5](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@19.3.4...@progress/kendo-angular-tasks@19.3.5) (2022-03-14)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [19.3.4](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@19.3.3...@progress/kendo-angular-tasks@19.3.4) (2022-03-10)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [19.3.3](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@19.3.2...@progress/kendo-angular-tasks@19.3.3) (2022-03-09)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [19.3.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@19.3.1...@progress/kendo-angular-tasks@19.3.2) (2022-03-07)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [19.3.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@19.3.0...@progress/kendo-angular-tasks@19.3.1) (2022-03-01)


### Bug Fixes

* return protractor.conf.js ([#329](https://github.com/telerik/kendo-build-tasks/issues/329)) ([e87738a](https://github.com/telerik/kendo-build-tasks/commit/e87738a1a218032c6dd054ca324754e07d2ab121))





# [19.3.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@19.2.1...@progress/kendo-angular-tasks@19.3.0) (2022-02-09)


### Features

* add 'testRegex' and 'testRegexVisual' params for e2e tasks ([#323](https://github.com/telerik/kendo-build-tasks/issues/323)) ([c5f1f40](https://github.com/telerik/kendo-build-tasks/commit/c5f1f40c75944cf0d77934de0931ab43c8d7f0b6))





## [19.2.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@19.2.0...@progress/kendo-angular-tasks@19.2.1) (2022-01-24)


### Bug Fixes

* rename e2e tasks ([#320](https://github.com/telerik/kendo-build-tasks/issues/320)) ([53bc5e9](https://github.com/telerik/kendo-build-tasks/commit/53bc5e9f53dcf368eadad1581990d043f3ae61e2))





# [19.2.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@19.1.0...@progress/kendo-angular-tasks@19.2.0) (2022-01-21)


### Features

* add jest.config.json ([#319](https://github.com/telerik/kendo-build-tasks/issues/319)) ([966f1bf](https://github.com/telerik/kendo-build-tasks/commit/966f1bfef8cc426c0c401069dbe0bbf2a749387f))





# [19.1.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@19.0.2...@progress/kendo-angular-tasks@19.1.0) (2021-12-03)


### Bug Fixes

* add env to e2e ([#315](https://github.com/telerik/kendo-build-tasks/issues/315)) ([a28f4af](https://github.com/telerik/kendo-build-tasks/commit/a28f4afafe1738a32f232f0af763c99823a2d94a))
* add jest env value ([#314](https://github.com/telerik/kendo-build-tasks/issues/314)) ([0be6c1b](https://github.com/telerik/kendo-build-tasks/commit/0be6c1b71df91f4494cee2dfd3c84e1445fe7a5a))
* use no jsdom with older jests ([#317](https://github.com/telerik/kendo-build-tasks/issues/317)) ([eb7d301](https://github.com/telerik/kendo-build-tasks/commit/eb7d301ea6a77a693da246a6f03fcd73e10e64e6))


### Features

* **angular-tasks:** add support for kendo-font-icons ([d68dd96](https://github.com/telerik/kendo-build-tasks/commit/d68dd96e7406dd5eb4cd1684da023f548e414591))





## [19.0.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@19.0.1...@progress/kendo-angular-tasks@19.0.2) (2021-11-09)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [19.0.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@19.0.0...@progress/kendo-angular-tasks@19.0.1) (2021-10-08)

**Note:** Version bump only for package @progress/kendo-angular-tasks





# [19.0.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.1.1...@progress/kendo-angular-tasks@19.0.0) (2021-09-29)


### Bug Fixes

* use different regexp for unit tests ([#306](https://github.com/telerik/kendo-build-tasks/issues/306)) ([af644dd](https://github.com/telerik/kendo-build-tasks/commit/af644ddce09175168078a8761b38ae04c547262e))


### BREAKING CHANGES

* it will require jest e2e fixes





## [18.1.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.1.0...@progress/kendo-angular-tasks@18.1.1) (2021-09-28)


### Bug Fixes

* use correct protractor bin ([#308](https://github.com/telerik/kendo-build-tasks/issues/308)) ([bf9e88b](https://github.com/telerik/kendo-build-tasks/commit/bf9e88bcb684e2307a366c5f6a3a2ba5dedbf0b5))





# [18.1.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.18...@progress/kendo-angular-tasks@18.1.0) (2021-09-28)


### Features

* use jest launcher for e2e && new gulp tasks for e2e ([#303](https://github.com/telerik/kendo-build-tasks/issues/303)) ([e53a734](https://github.com/telerik/kendo-build-tasks/commit/e53a7345020c42a3dfe985565b8697cb925cf480))





## [18.0.18](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.17...@progress/kendo-angular-tasks@18.0.18) (2021-09-15)


### Bug Fixes

* **angular-tasks:** pin wepback-hot-middleware ([38a3440](https://github.com/telerik/kendo-build-tasks/commit/38a34401f5ea64fc96b0f96228ecc6920843f66f))





## [18.0.17](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.16...@progress/kendo-angular-tasks@18.0.17) (2021-08-12)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [18.0.16](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.15...@progress/kendo-angular-tasks@18.0.16) (2021-06-21)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [18.0.15](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.14...@progress/kendo-angular-tasks@18.0.15) (2021-06-04)


### Bug Fixes

* **angular-tasks:** allow importing local CSS in dev server ([38b4313](https://github.com/telerik/kendo-build-tasks/commit/38b4313877880023e2dc10c7d39cf7a08367f9a4))





## [18.0.14](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.13...@progress/kendo-angular-tasks@18.0.14) (2021-05-20)


### Bug Fixes

* bump year in angular license ([b795d60](https://github.com/telerik/kendo-build-tasks/commit/b795d6009abd37cc0cc6f7112ae14fcfbb5b8cde))
* optimize jest parallel workers ([#289](https://github.com/telerik/kendo-build-tasks/issues/289)) ([74b14d3](https://github.com/telerik/kendo-build-tasks/commit/74b14d3762316e57fa6501d63ca02f605650a48f))





## [18.0.13](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.12...@progress/kendo-angular-tasks@18.0.13) (2021-04-30)


### Bug Fixes

* restore license template ([1eaec83](https://github.com/telerik/kendo-build-tasks/commit/1eaec83e27aaee66ec7498febcd5ac4cf1a3a3b2))





## [18.0.12](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.10...@progress/kendo-angular-tasks@18.0.12) (2021-04-30)


### Bug Fixes

* **angular:** update license ([0034396](https://github.com/telerik/kendo-build-tasks/commit/0034396f0bf88bff354808cc2c30c5c0b86a77f9))





## [18.0.11](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.10...@progress/kendo-angular-tasks@18.0.11) (2021-04-30)


### Bug Fixes

* **angular:** update license ([0034396](https://github.com/telerik/kendo-build-tasks/commit/0034396f0bf88bff354808cc2c30c5c0b86a77f9))





## [18.0.10](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.9...@progress/kendo-angular-tasks@18.0.10) (2021-04-29)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [18.0.9](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.8...@progress/kendo-angular-tasks@18.0.9) (2021-04-28)


### Bug Fixes

* copyright year ([5dd61a3](https://github.com/telerik/kendo-build-tasks/commit/5dd61a3b792ce4eb8f6bf28a7074a421ceeef16b))





## [18.0.8](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.7...@progress/kendo-angular-tasks@18.0.8) (2021-03-19)


### Bug Fixes

* **angular-tasks:** use protractor binary from gulp-protractor ([8ec48ce](https://github.com/telerik/kendo-build-tasks/commit/8ec48cec9ed7d9724761b9f9a59d23791e4099ea))





## [18.0.7](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.6...@progress/kendo-angular-tasks@18.0.7) (2021-03-19)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [18.0.6](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.5...@progress/kendo-angular-tasks@18.0.6) (2021-03-10)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [18.0.5](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.4...@progress/kendo-angular-tasks@18.0.5) (2021-03-04)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [18.0.4](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.3...@progress/kendo-angular-tasks@18.0.4) (2021-02-17)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [18.0.3](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.2...@progress/kendo-angular-tasks@18.0.3) (2021-02-12)


### Bug Fixes

* **angular-tasks:** fallback to chromium browser ([8b07f6f](https://github.com/telerik/kendo-build-tasks/commit/8b07f6fbed8d7dc5aabb25a2fb75971b307f7362))





## [18.0.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.1...@progress/kendo-angular-tasks@18.0.2) (2020-12-15)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [18.0.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@18.0.0...@progress/kendo-angular-tasks@18.0.1) (2020-11-25)


### Bug Fixes

* typescript tasks version ([663f6c2](https://github.com/telerik/kendo-build-tasks/commit/663f6c2b199c4b46f662252a205e5f3e990e4dcc))





# [18.0.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.1.0...@progress/kendo-angular-tasks@18.0.0) (2020-11-25)


### Bug Fixes

* codelyzer rules in docs ([c8be25b](https://github.com/telerik/kendo-build-tasks/commit/c8be25b1a1c478b59a0891089952c243aff0fd20))
* renamed codelyzer rules ([eb4628a](https://github.com/telerik/kendo-build-tasks/commit/eb4628a7a1057bbfe3ee31107b1093ed2665ebf2))


### Features

* upgrade to TypeScript 3.4 ([b446ca3](https://github.com/telerik/kendo-build-tasks/commit/b446ca30614a5b9343ecccba18b66a3b72f43dd5))


### BREAKING CHANGES

* No longer compatible with Angular 6.x and 7.x





# [17.1.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.22...@progress/kendo-angular-tasks@17.1.0) (2020-11-13)


### Features

* **kendo-angular-tasks:** add license metadata ([c5850ca](https://github.com/telerik/kendo-build-tasks/commit/c5850ca99cc65fec5883a22bdd7ce1dfbb70cbec))





## [17.0.22](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.21...@progress/kendo-angular-tasks@17.0.22) (2020-11-10)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.21](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.20...@progress/kendo-angular-tasks@17.0.21) (2020-10-15)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.20](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.19...@progress/kendo-angular-tasks@17.0.20) (2020-10-15)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.19](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.17...@progress/kendo-angular-tasks@17.0.19) (2020-10-09)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.18](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.17...@progress/kendo-angular-tasks@17.0.18) (2020-10-09)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.17](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.16...@progress/kendo-angular-tasks@17.0.17) (2020-09-16)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.16](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.15...@progress/kendo-angular-tasks@17.0.16) (2020-08-13)


### Bug Fixes

* themes section header ([#227](https://github.com/telerik/kendo-build-tasks/issues/227)) ([8245aa7](https://github.com/telerik/kendo-build-tasks/commit/8245aa7f2d4c90f8318bf80762277b3a412dce94))





## [17.0.15](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.14...@progress/kendo-angular-tasks@17.0.15) (2020-08-04)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.14](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.13...@progress/kendo-angular-tasks@17.0.14) (2020-08-03)


### Bug Fixes

* syntax in ci-angular-e2e ([3477f13](https://github.com/telerik/kendo-build-tasks/commit/3477f13c90e1ef7ec02ac542fd881be2cdb0281d))





## [17.0.13](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.12...@progress/kendo-angular-tasks@17.0.13) (2020-08-03)


### Bug Fixes

* do not skip CI when updating visual previews ([cbcb0a0](https://github.com/telerik/kendo-build-tasks/commit/cbcb0a0ee0ff58f9dda80f113992e46f5730f370))





## [17.0.12](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.11...@progress/kendo-angular-tasks@17.0.12) (2020-07-23)


### Bug Fixes

* fix typo ([#226](https://github.com/telerik/kendo-build-tasks/issues/226)) ([a525112](https://github.com/telerik/kendo-build-tasks/commit/a52511254999649e27a81e9ace2079f738ccea06))





## [17.0.11](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.10...@progress/kendo-angular-tasks@17.0.11) (2020-06-24)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.10](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.9...@progress/kendo-angular-tasks@17.0.10) (2020-06-16)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.9](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.8...@progress/kendo-angular-tasks@17.0.9) (2020-06-12)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.8](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.7...@progress/kendo-angular-tasks@17.0.8) (2020-05-18)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.7](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.6...@progress/kendo-angular-tasks@17.0.7) (2020-05-13)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.6](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.5...@progress/kendo-angular-tasks@17.0.6) (2020-05-12)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.5](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.4...@progress/kendo-angular-tasks@17.0.5) (2020-05-11)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.4](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.3...@progress/kendo-angular-tasks@17.0.4) (2020-05-04)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.3](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.2...@progress/kendo-angular-tasks@17.0.3) (2020-04-30)


### Bug Fixes

* e2e done ([#205](https://github.com/telerik/kendo-build-tasks/issues/205)) ([61cb4e8](https://github.com/telerik/kendo-build-tasks/commit/61cb4e833862260007e8573e3cf93adfcc26aaee))





## [17.0.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.1...@progress/kendo-angular-tasks@17.0.2) (2020-04-16)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [17.0.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@17.0.0...@progress/kendo-angular-tasks@17.0.1) (2020-04-13)

**Note:** Version bump only for package @progress/kendo-angular-tasks





# [17.0.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@16.1.9...@progress/kendo-angular-tasks@17.0.0) (2020-04-08)


### Features

* gulp 4 upgrade ([#201](https://github.com/telerik/kendo-build-tasks/issues/201)) ([81bf760](https://github.com/telerik/kendo-build-tasks/commit/81bf760f18b9beb8afac5962369e99b086351c8f))


### BREAKING CHANGES

* Upgraded to gulp4 : @telerik packages will stay at old versions for now

* chore: fix syntax





## [16.1.9](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@16.1.8...@progress/kendo-angular-tasks@16.1.9) (2020-04-03)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [16.1.8](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@16.1.7...@progress/kendo-angular-tasks@16.1.8) (2020-03-24)


### Bug Fixes

* remove validate-build task ([#199](https://github.com/telerik/kendo-build-tasks/issues/199)) ([d26f0d6](https://github.com/telerik/kendo-build-tasks/commit/d26f0d6b4a757cad8344d65f50794c3c73e06857))





## [16.1.7](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@16.1.6...@progress/kendo-angular-tasks@16.1.7) (2020-03-23)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [16.1.6](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@16.1.5...@progress/kendo-angular-tasks@16.1.6) (2020-03-20)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [16.1.5](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@16.1.4...@progress/kendo-angular-tasks@16.1.5) (2020-03-17)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [16.1.4](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@16.1.3...@progress/kendo-angular-tasks@16.1.4) (2020-02-27)


### Bug Fixes

* sed syntax ([3a7f596](https://github.com/telerik/kendo-build-tasks/commit/3a7f596432d3dff78d5f81d1ae932b3d2b01cd62))





## [16.1.3](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@16.1.2...@progress/kendo-angular-tasks@16.1.3) (2020-02-27)


### Bug Fixes

* random failures due to disconnects ([940af5b](https://github.com/telerik/kendo-build-tasks/commit/940af5ba2ef5408289c55ac09332c83d6a11ae8b))
* use linux syntax for sed ([04a9ba5](https://github.com/telerik/kendo-build-tasks/commit/04a9ba520911fa0937452100d06d88a91917e706))





## [16.1.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@16.1.1...@progress/kendo-angular-tasks@16.1.2) (2020-02-27)


### Bug Fixes

* skip e2e in develop ([#191](https://github.com/telerik/kendo-build-tasks/issues/191)) ([81ce562](https://github.com/telerik/kendo-build-tasks/commit/81ce562299d8a5e7d44e576e49ef2ad3168e6ee5))
* skip e2e tests in angular ([#190](https://github.com/telerik/kendo-build-tasks/issues/190)) ([23ec5ff](https://github.com/telerik/kendo-build-tasks/commit/23ec5ffe09f482861efd7bd58dfda880eefac5b6))





## [16.1.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@16.1.0...@progress/kendo-angular-tasks@16.1.1) (2020-02-19)

**Note:** Version bump only for package @progress/kendo-angular-tasks





# [16.1.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@16.0.0...@progress/kendo-angular-tasks@16.1.0) (2020-02-11)


### Bug Fixes

* protractor usage of params ([#185](https://github.com/telerik/kendo-build-tasks/issues/185)) ([0b12af6](https://github.com/telerik/kendo-build-tasks/commit/0b12af6196422642976a9e25e00d52170cccb1b3))


### Features

* validate for compilation errors ([cbd1769](https://github.com/telerik/kendo-build-tasks/commit/cbd1769080529c49c53a5f6244fe119972853b31))





# [16.0.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.5.11...@progress/kendo-angular-tasks@16.0.0) (2020-01-27)


### Features

* **angular-tasks:** allow running e2e tests in Firefox ([c74b8e7](https://github.com/telerik/kendo-build-tasks/commit/c74b8e7cb0d109b69714fd699ce8be3ffb91e73e))


### BREAKING CHANGES

* **angular-tasks:** Updated Protractor to 5.x, some tests may break





## [15.5.11](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.5.10...@progress/kendo-angular-tasks@15.5.11) (2020-01-17)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [15.5.10](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.5.9...@progress/kendo-angular-tasks@15.5.10) (2020-01-13)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [15.5.9](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.5.8...@progress/kendo-angular-tasks@15.5.9) (2020-01-08)


### Bug Fixes

* year ([#178](https://github.com/telerik/kendo-build-tasks/issues/178)) ([0d288d4](https://github.com/telerik/kendo-build-tasks/commit/0d288d4c7e23c0b0d0f6d295d6d481db3ea5eaf4))





## [15.5.8](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.5.7...@progress/kendo-angular-tasks@15.5.8) (2020-01-06)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [15.5.7](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.5.6...@progress/kendo-angular-tasks@15.5.7) (2019-12-24)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [15.5.6](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.5.5...@progress/kendo-angular-tasks@15.5.6) (2019-12-23)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [15.5.5](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.5.4...@progress/kendo-angular-tasks@15.5.5) (2019-12-17)


### Bug Fixes

* add firefox options ([#169](https://github.com/telerik/kendo-build-tasks/issues/169)) ([e6f66ec](https://github.com/telerik/kendo-build-tasks/commit/e6f66ecbf1a9138ab5b3ae265dd49c9838ab0ba8))





## [15.5.4](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.5.3...@progress/kendo-angular-tasks@15.5.4) (2019-12-06)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [15.5.3](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.5.2...@progress/kendo-angular-tasks@15.5.3) (2019-11-20)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [15.5.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.5.1...@progress/kendo-angular-tasks@15.5.2) (2019-11-18)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [15.5.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.5.0...@progress/kendo-angular-tasks@15.5.1) (2019-11-13)


### Bug Fixes

* report unit test results in console ([22ef469](https://github.com/telerik/kendo-build-tasks/commit/22ef469a8a6cd878ebf9128b592bb60525bf040a))





# [15.5.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.4.2...@progress/kendo-angular-tasks@15.5.0) (2019-11-12)


### Features

* semantic-release script ([#145](https://github.com/telerik/kendo-build-tasks/issues/145)) ([b4bffa1](https://github.com/telerik/kendo-build-tasks/commit/b4bffa15aac0bd18704b471bfa8dd1eebad25e3a))





## [15.4.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.4.1...@progress/kendo-angular-tasks@15.4.2) (2019-10-14)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [15.4.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.4.0...@progress/kendo-angular-tasks@15.4.1) (2019-10-10)


### Bug Fixes

* fix binaries ([#138](https://github.com/telerik/kendo-build-tasks/issues/138)) ([0310a2f](https://github.com/telerik/kendo-build-tasks/commit/0310a2fe80c8fb103f4566c8a258a138ea4d0ceb))





# [15.4.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.3.2...@progress/kendo-angular-tasks@15.4.0) (2019-10-10)


### Features

* ci-angular-jest ([#137](https://github.com/telerik/kendo-build-tasks/issues/137)) ([0460476](https://github.com/telerik/kendo-build-tasks/commit/0460476dd17fde24917e6b622df24cf710efa91c))





## [15.3.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.3.1...@progress/kendo-angular-tasks@15.3.2) (2019-10-03)


### Bug Fixes

* add license after all and read file from correct path ([#135](https://github.com/telerik/kendo-build-tasks/issues/135)) ([0f36246](https://github.com/telerik/kendo-build-tasks/commit/0f36246))





## [15.3.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.3.0...@progress/kendo-angular-tasks@15.3.1) (2019-10-03)

**Note:** Version bump only for package @progress/kendo-angular-tasks





# [15.3.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.2.2...@progress/kendo-angular-tasks@15.3.0) (2019-09-27)


### Bug Fixes

* bump timeouts to 20s ([03af7f7](https://github.com/telerik/kendo-build-tasks/commit/03af7f7))
* handle-snapshots as separate script ([#129](https://github.com/telerik/kendo-build-tasks/issues/129)) ([b066bf5](https://github.com/telerik/kendo-build-tasks/commit/b066bf5))
* usage of function ([#119](https://github.com/telerik/kendo-build-tasks/issues/119)) ([6df6e0e](https://github.com/telerik/kendo-build-tasks/commit/6df6e0e))
* wait extra time before running e2e tests ([e9a95ae](https://github.com/telerik/kendo-build-tasks/commit/e9a95ae))


### Features

* add --visual option for e2e tests ([#118](https://github.com/telerik/kendo-build-tasks/issues/118)) ([ae91502](https://github.com/telerik/kendo-build-tasks/commit/ae91502))
* set_commit_status utility and usage ([#128](https://github.com/telerik/kendo-build-tasks/issues/128)) ([2a13145](https://github.com/telerik/kendo-build-tasks/commit/2a13145))





## [15.2.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.2.1...@progress/kendo-angular-tasks@15.2.2) (2019-09-18)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [15.2.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.2.0...@progress/kendo-angular-tasks@15.2.1) (2019-09-18)

**Note:** Version bump only for package @progress/kendo-angular-tasks





# [15.2.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.1.0...@progress/kendo-angular-tasks@15.2.0) (2019-09-12)


### Features

* add CI scripts ([1a942fe](https://github.com/telerik/kendo-build-tasks/commit/1a942fe))





# [15.1.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.0.2...@progress/kendo-angular-tasks@15.1.0) (2019-08-14)


### Features

* **angular-tasks:** fix window size ([f14686b](https://github.com/telerik/kendo-build-tasks/commit/f14686b))





## [15.0.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.0.1...@progress/kendo-angular-tasks@15.0.2) (2019-07-31)


### Bug Fixes

* devserver does not work with linked kendo-themes ([e59c735](https://github.com/telerik/kendo-build-tasks/commit/e59c735))





## [15.0.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@15.0.0...@progress/kendo-angular-tasks@15.0.1) (2019-06-20)


### Bug Fixes

* bump dependencies to official versions ([c15b233](https://github.com/telerik/kendo-build-tasks/commit/c15b233))





# [15.0.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@14.0.2...@progress/kendo-angular-tasks@15.0.0) (2019-06-19)


### Features

* upgrade build tasks to Angular 6 ([d68c9e1](https://github.com/telerik/kendo-build-tasks/commit/d68c9e1))
* **ng:** drop dist/npm/main entry point ([15b1d03](https://github.com/telerik/kendo-build-tasks/commit/15b1d03))


### BREAKING CHANGES

* No longer compatible with Angular 4, 5.





## [14.0.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@14.0.1...@progress/kendo-angular-tasks@14.0.2) (2019-06-06)


### Bug Fixes

* update RxJS blacklist rule in docs ([b8cd9fc](https://github.com/telerik/kendo-build-tasks/commit/b8cd9fc))





## [14.0.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@14.0.0...@progress/kendo-angular-tasks@14.0.1) (2019-06-04)


### Bug Fixes

* remove deprecated rule ([cf6a7ec](https://github.com/telerik/kendo-build-tasks/commit/cf6a7ec))





# [14.0.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.3.7...@progress/kendo-angular-tasks@14.0.0) (2019-05-31)


### Bug Fixes

* base lint rules ([265fe1d](https://github.com/telerik/kendo-build-tasks/commit/265fe1d))
* component-selector rule ([f6936dc](https://github.com/telerik/kendo-build-tasks/commit/f6936dc))
* use dev version of typescript tasks ([c805b13](https://github.com/telerik/kendo-build-tasks/commit/c805b13))


### Features

* upgrade to Angular 6 ([2ca27d3](https://github.com/telerik/kendo-build-tasks/commit/2ca27d3))


### BREAKING CHANGES

* Requires upgrading to TypeScript 2.9.x and RxJS 6.5





## [13.3.7](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.3.6...@progress/kendo-angular-tasks@13.3.7) (2019-05-15)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [13.3.6](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.3.5...@progress/kendo-angular-tasks@13.3.6) (2019-04-19)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [13.3.5](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.3.4...@progress/kendo-angular-tasks@13.3.5) (2019-04-16)


### Bug Fixes

* replace aliases in CommonJS bundles ([a202a46](https://github.com/telerik/kendo-build-tasks/commit/a202a46))





## [13.3.4](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.3.3...@progress/kendo-angular-tasks@13.3.4) (2019-04-11)


### Bug Fixes

* remove object keys sorting from angular tslint rules ([b4294dd](https://github.com/telerik/kendo-build-tasks/commit/b4294dd))





## [13.3.3](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.3.2...@progress/kendo-angular-tasks@13.3.3) (2019-04-11)


### Bug Fixes

* update angular shared tslint rules ([#82](https://github.com/telerik/kendo-build-tasks/issues/82)) ([99932ee](https://github.com/telerik/kendo-build-tasks/commit/99932ee))





## [13.3.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.3.1...@progress/kendo-angular-tasks@13.3.2) (2019-04-10)


### Bug Fixes

* do not override existing symbols ([#80](https://github.com/telerik/kendo-build-tasks/issues/80)) ([7fbb8f6](https://github.com/telerik/kendo-build-tasks/commit/7fbb8f6))





## [13.3.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.3.0...@progress/kendo-angular-tasks@13.3.1) (2019-04-09)

**Note:** Version bump only for package @progress/kendo-angular-tasks





# [13.3.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.2.3...@progress/kendo-angular-tasks@13.3.0) (2019-04-02)


### Bug Fixes

* fix paths ([#77](https://github.com/telerik/kendo-build-tasks/issues/77)) ([5e72008](https://github.com/telerik/kendo-build-tasks/commit/5e72008))


### Features

* base tslint rules ([#76](https://github.com/telerik/kendo-build-tasks/issues/76)) ([526af5c](https://github.com/telerik/kendo-build-tasks/commit/526af5c))





## [13.2.3](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.2.2...@progress/kendo-angular-tasks@13.2.3) (2019-03-19)


### Bug Fixes

* protractor timeout first ([#74](https://github.com/telerik/kendo-build-tasks/issues/74)) ([a20b26e](https://github.com/telerik/kendo-build-tasks/commit/a20b26e))





## [13.2.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.2.1...@progress/kendo-angular-tasks@13.2.2) (2019-03-15)


### Bug Fixes

* alias numbering ([1206edc](https://github.com/telerik/kendo-build-tasks/commit/1206edc))
* export alias ordering ([#73](https://github.com/telerik/kendo-build-tasks/issues/73)) ([b35bc0b](https://github.com/telerik/kendo-build-tasks/commit/b35bc0b))





## [13.2.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.2.0...@progress/kendo-angular-tasks@13.2.1) (2019-03-14)


### Bug Fixes

* reduce timeout ([#71](https://github.com/telerik/kendo-build-tasks/issues/71)) ([b57d5ba](https://github.com/telerik/kendo-build-tasks/commit/b57d5ba))





# [13.2.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.1.7...@progress/kendo-angular-tasks@13.2.0) (2019-03-08)


### Bug Fixes

* disable promise manager for sure ([#69](https://github.com/telerik/kendo-build-tasks/issues/69)) ([9101935](https://github.com/telerik/kendo-build-tasks/commit/9101935))


### Features

* export internal symbols ([97e8665](https://github.com/telerik/kendo-build-tasks/commit/97e8665))





## [13.1.7](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.1.6...@progress/kendo-angular-tasks@13.1.7) (2019-02-28)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [13.1.6](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.1.5...@progress/kendo-angular-tasks@13.1.6) (2019-02-25)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [13.1.5](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.1.4...@progress/kendo-angular-tasks@13.1.5) (2019-02-20)


### Bug Fixes

* return to stable ([#64](https://github.com/telerik/kendo-build-tasks/issues/64)) ([ceac360](https://github.com/telerik/kendo-build-tasks/commit/ceac360))





## [13.1.4](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.1.3...@progress/kendo-angular-tasks@13.1.4) (2019-02-19)


### Bug Fixes

* update gulp protractor ([#63](https://github.com/telerik/kendo-build-tasks/issues/63)) ([0b88dff](https://github.com/telerik/kendo-build-tasks/commit/0b88dff))





## [13.1.3](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.1.2...@progress/kendo-angular-tasks@13.1.3) (2019-02-19)


### Bug Fixes

* add headless option ([#60](https://github.com/telerik/kendo-build-tasks/issues/60)) ([348f8bf](https://github.com/telerik/kendo-build-tasks/commit/348f8bf))





## [13.1.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.1.1...@progress/kendo-angular-tasks@13.1.2) (2019-02-15)


### Bug Fixes

* try catch require ([#59](https://github.com/telerik/kendo-build-tasks/issues/59)) ([041ec0b](https://github.com/telerik/kendo-build-tasks/commit/041ec0b))





## [13.1.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.1.0...@progress/kendo-angular-tasks@13.1.1) (2019-02-14)

**Note:** Version bump only for package @progress/kendo-angular-tasks





# [13.1.0](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.13...@progress/kendo-angular-tasks@13.1.0) (2019-02-13)


### Features

* build flat ES bundles ([3b13423](https://github.com/telerik/kendo-build-tasks/commit/3b13423))





## [13.0.13](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.12...@progress/kendo-angular-tasks@13.0.13) (2019-02-12)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [13.0.12](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.11...@progress/kendo-angular-tasks@13.0.12) (2019-02-04)


### Bug Fixes

* add e2e_visual task ([#53](https://github.com/telerik/kendo-build-tasks/issues/53)) ([9dfc9a9](https://github.com/telerik/kendo-build-tasks/commit/9dfc9a9))





## [13.0.11](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.10...@progress/kendo-angular-tasks@13.0.11) (2019-02-01)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [13.0.10](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.9...@progress/kendo-angular-tasks@13.0.10) (2019-01-31)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [13.0.9](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.8...@progress/kendo-angular-tasks@13.0.9) (2019-01-30)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [13.0.8](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.7...@progress/kendo-angular-tasks@13.0.8) (2019-01-24)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [13.0.7](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.6...@progress/kendo-angular-tasks@13.0.7) (2019-01-23)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [13.0.6](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.5...@progress/kendo-angular-tasks@13.0.6) (2019-01-16)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [13.0.5](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.4...@progress/kendo-angular-tasks@13.0.5) (2019-01-14)


### Bug Fixes

* add jest-cli ([#31](https://github.com/telerik/kendo-build-tasks/issues/31)) ([176ab3c](https://github.com/telerik/kendo-build-tasks/commit/176ab3c))





## [13.0.4](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.3...@progress/kendo-angular-tasks@13.0.4) (2018-12-17)


### Bug Fixes

* remove json loader ([#28](https://github.com/telerik/kendo-build-tasks/issues/28)) ([ab5ed57](https://github.com/telerik/kendo-build-tasks/commit/ab5ed57))





## [13.0.3](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.2...@progress/kendo-angular-tasks@13.0.3) (2018-12-12)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [13.0.2](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.1...@progress/kendo-angular-tasks@13.0.2) (2018-12-11)

**Note:** Version bump only for package @progress/kendo-angular-tasks





## [13.0.1](https://github.com/telerik/kendo-build-tasks/compare/@progress/kendo-angular-tasks@13.0.0...@progress/kendo-angular-tasks@13.0.1) (2018-11-30)

**Note:** Version bump only for package @progress/kendo-angular-tasks





# 13.0.0 (2018-11-30)


### Bug Fixes

* **api:** anonymous interfaces in unions ([fd62c85](https://github.com/telerik/kendo-build-tasks/commit/fd62c85))
* **api:** exclude members that are not exported ([e74dc50](https://github.com/telerik/kendo-build-tasks/commit/e74dc50))
* **karma:** use polling instead of websocket ([d764c82](https://github.com/telerik/kendo-build-tasks/commit/d764c82))
* path for jail ips file ([0933bf1](https://github.com/telerik/kendo-build-tasks/commit/0933bf1))
* **travis:** add correct browser config ([a16b597](https://github.com/telerik/kendo-build-tasks/commit/a16b597))
* add animations to testing module ([5647c15](https://github.com/telerik/kendo-build-tasks/commit/5647c15))
* add custom launcher ([652e1f9](https://github.com/telerik/kendo-build-tasks/commit/652e1f9))
* add custom launcher ([54bb19e](https://github.com/telerik/kendo-build-tasks/commit/54bb19e))
* add dot ([12d0b76](https://github.com/telerik/kendo-build-tasks/commit/12d0b76))
* add more stabillity to jails ([9d22c81](https://github.com/telerik/kendo-build-tasks/commit/9d22c81))
* add optional parameter for sleep before start of tests ([#47](https://github.com/telerik/kendo-build-tasks/issues/47)) ([b0975df](https://github.com/telerik/kendo-build-tasks/commit/b0975df))
* Angular 4.2 packaging ([b240b5c](https://github.com/telerik/kendo-build-tasks/commit/b240b5c))
* better cleaning of temp files ([66cdf57](https://github.com/telerik/kendo-build-tasks/commit/66cdf57))
* better jail cleaning ([5903629](https://github.com/telerik/kendo-build-tasks/commit/5903629))
* better jail cleaning ([166606f](https://github.com/telerik/kendo-build-tasks/commit/166606f))
* bump common tasks version ([db2e0e5](https://github.com/telerik/kendo-build-tasks/commit/db2e0e5))
* bump typescript-tasks version ([a305d27](https://github.com/telerik/kendo-build-tasks/commit/a305d27))
* bundle the updated theme with webpack ([edfb464](https://github.com/telerik/kendo-build-tasks/commit/edfb464))
* correct externals for building npm package ([b36fdf6](https://github.com/telerik/kendo-build-tasks/commit/b36fdf6))
* declare rxjs dependencies as extenral ([2f87815](https://github.com/telerik/kendo-build-tasks/commit/2f87815))
* do not exit process if karma watches tests ([cdbe11d](https://github.com/telerik/kendo-build-tasks/commit/cdbe11d))
* don't attempt to link to external types ([1a440eb](https://github.com/telerik/kendo-build-tasks/commit/1a440eb)), closes [telerik/k2-site#62](https://github.com/telerik/k2-site/issues/62)
* don't fail on api docs warnings ([aa7926c](https://github.com/telerik/kendo-build-tasks/commit/aa7926c))
* don't set default API position ([dc90ce8](https://github.com/telerik/kendo-build-tasks/commit/dc90ce8))
* don't wrap examples in raw tags ([b5185a9](https://github.com/telerik/kendo-build-tasks/commit/b5185a9))
* downgrade TypeScript to 1.8.x ([5f892c2](https://github.com/telerik/kendo-build-tasks/commit/5f892c2))
* e2e tests as command ([93ad756](https://github.com/telerik/kendo-build-tasks/commit/93ad756))
* expose protractor package ([33540ca](https://github.com/telerik/kendo-build-tasks/commit/33540ca))
* final after forced push ([14540c4](https://github.com/telerik/kendo-build-tasks/commit/14540c4))
* final fail proof creation of jail ([09faf62](https://github.com/telerik/kendo-build-tasks/commit/09faf62))
* handle methods decorated with @Input ([76d6e06](https://github.com/telerik/kendo-build-tasks/commit/76d6e06))
* include all external dependencies automatically ([b8e22b2](https://github.com/telerik/kendo-build-tasks/commit/b8e22b2))
* include src subdirs in NPM build ([22810a8](https://github.com/telerik/kendo-build-tasks/commit/22810a8))
* infer getter signature ([7034f5f](https://github.com/telerik/kendo-build-tasks/commit/7034f5f))
* inline cldr-data modules ([bbede85](https://github.com/telerik/kendo-build-tasks/commit/bbede85))
* jail builds ([a33a3f5](https://github.com/telerik/kendo-build-tasks/commit/a33a3f5))
* jails cleanup ([7550f97](https://github.com/telerik/kendo-build-tasks/commit/7550f97))
* keep multiple chunks in NPM mode ([bbed352](https://github.com/telerik/kendo-build-tasks/commit/bbed352))
* listen only on localhost ([9287e05](https://github.com/telerik/kendo-build-tasks/commit/9287e05))
* make protractor peerDependency ([475bd7d](https://github.com/telerik/kendo-build-tasks/commit/475bd7d))
* make search for new slot more though ([bee1ff8](https://github.com/telerik/kendo-build-tasks/commit/bee1ff8))
* make search for new slot more though ([8afc3d8](https://github.com/telerik/kendo-build-tasks/commit/8afc3d8))
* mark peer dependencies as externals ([#17](https://github.com/telerik/kendo-build-tasks/issues/17)) ([6d98c26](https://github.com/telerik/kendo-build-tasks/commit/6d98c26)), closes [telerik/kendo-angular2#30](https://github.com/telerik/kendo-angular2/issues/30)
* mkdirp dependency ([894c675](https://github.com/telerik/kendo-build-tasks/commit/894c675))
* more flexible cleaning ([b8d7b9f](https://github.com/telerik/kendo-build-tasks/commit/b8d7b9f))
* more verbosity on file deletion ([570b2e2](https://github.com/telerik/kendo-build-tasks/commit/570b2e2))
* move json-loader to preloaders ([6d64181](https://github.com/telerik/kendo-build-tasks/commit/6d64181))
* no phantom ([7cbc005](https://github.com/telerik/kendo-build-tasks/commit/7cbc005))
* npmrc links ([#12](https://github.com/telerik/kendo-build-tasks/issues/12)) ([97d913b](https://github.com/telerik/kendo-build-tasks/commit/97d913b))
* output both short and long description text ([546abc5](https://github.com/telerik/kendo-build-tasks/commit/546abc5))
* output long jsdoc text ([d5f88c3](https://github.com/telerik/kendo-build-tasks/commit/d5f88c3))
* path to ips file ([72f7dac](https://github.com/telerik/kendo-build-tasks/commit/72f7dac))
* pin typescript to 2.0.x ([264eaa0](https://github.com/telerik/kendo-build-tasks/commit/264eaa0))
* propagate errors from TypeScript compiler ([b5b1b1f](https://github.com/telerik/kendo-build-tasks/commit/b5b1b1f))
* re-export AoT symbols in dist/npm/main ([d68e1b9](https://github.com/telerik/kendo-build-tasks/commit/d68e1b9))
* relax CORS restrictions on dev server ([ffa0903](https://github.com/telerik/kendo-build-tasks/commit/ffa0903))
* relax TypeScript reference to 2.x ([a1bc81b](https://github.com/telerik/kendo-build-tasks/commit/a1bc81b))
* remove generic headings of API examples ([c2c029f](https://github.com/telerik/kendo-build-tasks/commit/c2c029f)), closes [telerik/k2-site#29](https://github.com/telerik/k2-site/issues/29)
* remove jail_exec and other build logic ([fae7e74](https://github.com/telerik/kendo-build-tasks/commit/fae7e74))
* remove release from jail ([5a4888e](https://github.com/telerik/kendo-build-tasks/commit/5a4888e))
* remove release from jail ([b661758](https://github.com/telerik/kendo-build-tasks/commit/b661758))
* remove rollup dependency ([59f4c43](https://github.com/telerik/kendo-build-tasks/commit/59f4c43))
* remove typedoc ([4593f0a](https://github.com/telerik/kendo-build-tasks/commit/4593f0a))
* restore cdn bundle ([17c34ca](https://github.com/telerik/kendo-build-tasks/commit/17c34ca))
* revert "fix: run tests in Chrome" ([c6928b8](https://github.com/telerik/kendo-build-tasks/commit/c6928b8)), closes [angular/angular#13301](https://github.com/angular/angular/issues/13301)
* revert s-r to 4.x ([d84fa28](https://github.com/telerik/kendo-build-tasks/commit/d84fa28))
* revert typedoc dependency to 0.5.x ([6329521](https://github.com/telerik/kendo-build-tasks/commit/6329521))
* run tests in Chrome ([a27dd76](https://github.com/telerik/kendo-build-tasks/commit/a27dd76)), closes [angular/angular#13301](https://github.com/angular/angular/issues/13301)
* save jail number in file in workspace ([86ebc65](https://github.com/telerik/kendo-build-tasks/commit/86ebc65))
* save jail number in file in workspace ([5876f03](https://github.com/telerik/kendo-build-tasks/commit/5876f03))
* semantic release registry setting ([d2a1d1e](https://github.com/telerik/kendo-build-tasks/commit/d2a1d1e))
* set up semantic-release for internal registry ([1b0ffaf](https://github.com/telerik/kendo-build-tasks/commit/1b0ffaf))
* silence webpack dev server ([7c0b2c6](https://github.com/telerik/kendo-build-tasks/commit/7c0b2c6))
* specify rxjs as external ([7f6c70a](https://github.com/telerik/kendo-build-tasks/commit/7f6c70a))
* stop inlining cldr-data ([f655b1d](https://github.com/telerik/kendo-build-tasks/commit/f655b1d))
* stop inlining external dependencies ([77da802](https://github.com/telerik/kendo-build-tasks/commit/77da802))
* subfolders match e2e task ([823be7f](https://github.com/telerik/kendo-build-tasks/commit/823be7f))
* switch to websocket reporter ([05c34c6](https://github.com/telerik/kendo-build-tasks/commit/05c34c6))
* throw error on failed lint ([58e7081](https://github.com/telerik/kendo-build-tasks/commit/58e7081))
* trap for release added & remove trap for exit ([0d47b63](https://github.com/telerik/kendo-build-tasks/commit/0d47b63))
* trap for release added & remove trap for exit ([2b323de](https://github.com/telerik/kendo-build-tasks/commit/2b323de))
* trap for release added & remove trap for exit ([e363455](https://github.com/telerik/kendo-build-tasks/commit/e363455))
* trap for release added & remove trap for exit ([0efcc2b](https://github.com/telerik/kendo-build-tasks/commit/0efcc2b))
* trap for release added & remove trap for exit ([32444a7](https://github.com/telerik/kendo-build-tasks/commit/32444a7))
* trap for release added & remove trap for exit ([8c1bf2a](https://github.com/telerik/kendo-build-tasks/commit/8c1bf2a))
* trap for release added & remove trap for exit ([c9b0404](https://github.com/telerik/kendo-build-tasks/commit/c9b0404))
* trap for release added & remove trap for exit ([5c65e86](https://github.com/telerik/kendo-build-tasks/commit/5c65e86))
* trap for release added & remove trap for exit ([dfea948](https://github.com/telerik/kendo-build-tasks/commit/dfea948))
* trap for release added & remove trap for exit ([2ebc14a](https://github.com/telerik/kendo-build-tasks/commit/2ebc14a))
* trap for release added & remove trap for exit ([dccf6ed](https://github.com/telerik/kendo-build-tasks/commit/dccf6ed))
* trap for release added & remove trap for exit ([6e2f874](https://github.com/telerik/kendo-build-tasks/commit/6e2f874))
* trap for release added & remove trap for exit ([5c0d8d3](https://github.com/telerik/kendo-build-tasks/commit/5c0d8d3))
* typedoc compilation errors ([c69d6b2](https://github.com/telerik/kendo-build-tasks/commit/c69d6b2))
* update api page title generation ([1ce4fd3](https://github.com/telerik/kendo-build-tasks/commit/1ce4fd3))
* update license ([f70353c](https://github.com/telerik/kendo-build-tasks/commit/f70353c))
* update license ([07504c7](https://github.com/telerik/kendo-build-tasks/commit/07504c7))
* update tslint to 5.x ([3e4471e](https://github.com/telerik/kendo-build-tasks/commit/3e4471e))
* upgrade dependencies for Node 10 ([24c4e73](https://github.com/telerik/kendo-build-tasks/commit/24c4e73))
* upgrade kendo-common-tasks dependency ([6e471b9](https://github.com/telerik/kendo-build-tasks/commit/6e471b9))
* upgrade to Angular R.C. 4 ([423d139](https://github.com/telerik/kendo-build-tasks/commit/423d139))
* upgrade to angular rc2 ([b6247f8](https://github.com/telerik/kendo-build-tasks/commit/b6247f8))
* upgrade to node-sass 4.9.4 ([23fb8d6](https://github.com/telerik/kendo-build-tasks/commit/23fb8d6))
* upgrade TypeDoc to support TS 2.x ([a833794](https://github.com/telerik/kendo-build-tasks/commit/a833794))
* use relative root dir ([542d66a](https://github.com/telerik/kendo-build-tasks/commit/542d66a))
* **webpack:** support submodule import of external dependencies ([ec580f2](https://github.com/telerik/kendo-build-tasks/commit/ec580f2))
* use TEST_BRORWSER instead of just BROWSER ([8cc6490](https://github.com/telerik/kendo-build-tasks/commit/8cc6490))
* wrap examples in raw tags to avoid Jekyll encoding their content ([7d412c7](https://github.com/telerik/kendo-build-tasks/commit/7d412c7))
* wrong error check ([f2aa6dd](https://github.com/telerik/kendo-build-tasks/commit/f2aa6dd))


### Features

* a watch-test task ([1d5f18a](https://github.com/telerik/kendo-build-tasks/commit/1d5f18a))
* add `gulp api` generator ([aa11abb](https://github.com/telerik/kendo-build-tasks/commit/aa11abb))
* add `gulp lint` task ([145ad4b](https://github.com/telerik/kendo-build-tasks/commit/145ad4b))
* add cdn bundle ([bf4cb2f](https://github.com/telerik/kendo-build-tasks/commit/bf4cb2f)), closes [telerik/k2-site#89](https://github.com/telerik/k2-site/issues/89)
* add docs runner via common-tasks ([04426f6](https://github.com/telerik/kendo-build-tasks/commit/04426f6))
* add es2015 bundle ([3640ba2](https://github.com/telerik/kendo-build-tasks/commit/3640ba2))
* add json loader ([774ffe2](https://github.com/telerik/kendo-build-tasks/commit/774ffe2))
* add protractor task BREAKING CHANGE e2e tests will be moved to other karma tests, e2e will contain real e2e tests ([ce8efb7](https://github.com/telerik/kendo-build-tasks/commit/ce8efb7))
* add support for passing options to the typescript tasks ([#36](https://github.com/telerik/kendo-build-tasks/issues/36)) ([a992ae9](https://github.com/telerik/kendo-build-tasks/commit/a992ae9))
* add task for building schematics ([4ee8ed7](https://github.com/telerik/kendo-build-tasks/commit/4ee8ed7))
* add UMD bundle with no external dependencies ([d93d16a](https://github.com/telerik/kendo-build-tasks/commit/d93d16a))
* add watch-e2e gulp task ([#23](https://github.com/telerik/kendo-build-tasks/issues/23)) ([6f8b08a](https://github.com/telerik/kendo-build-tasks/commit/6f8b08a))
* bump version of [@telerik](https://github.com/telerik)/kendo-common-tasks ([d157fa9](https://github.com/telerik/kendo-build-tasks/commit/d157fa9))
* clone common-tasks package ([#6](https://github.com/telerik/kendo-build-tasks/issues/6)) ([9a36d81](https://github.com/telerik/kendo-build-tasks/commit/9a36d81))
* define Angular pkgs as peer dependencies ([56da755](https://github.com/telerik/kendo-build-tasks/commit/56da755))
* extract api docs generation to a separate tasks package ([#24](https://github.com/telerik/kendo-build-tasks/issues/24)) ([fedce71](https://github.com/telerik/kendo-build-tasks/commit/fedce71))
* fail on missing/obsolete API reference ([2a9b304](https://github.com/telerik/kendo-build-tasks/commit/2a9b304)), closes [telerik/k2#22](https://github.com/telerik/k2/issues/22)
* generate api reference for methods ([1ab6f5c](https://github.com/telerik/kendo-build-tasks/commit/1ab6f5c))
* Initial commit ([3613048](https://github.com/telerik/kendo-build-tasks/commit/3613048))
* introduce ES module bundle ([#25](https://github.com/telerik/kendo-build-tasks/issues/25)) ([0ec5876](https://github.com/telerik/kendo-build-tasks/commit/0ec5876))
* supersonic "gulp start" ([1b44a32](https://github.com/telerik/kendo-build-tasks/commit/1b44a32))
* switch scope to [@progress](https://github.com/progress) ([5fcd76f](https://github.com/telerik/kendo-build-tasks/commit/5fcd76f))
* upgrade angular to 2.4.x ([ff10a8a](https://github.com/telerik/kendo-build-tasks/commit/ff10a8a))
* upgrade to Angular 2 RC5 ([bd2d0a2](https://github.com/telerik/kendo-build-tasks/commit/bd2d0a2))
* upgrade to Angular 2.0 final ([b4eb572](https://github.com/telerik/kendo-build-tasks/commit/b4eb572))
* upgrade to Angular 4.0 ([7bcea47](https://github.com/telerik/kendo-build-tasks/commit/7bcea47))
* upgrade to typescript 2.5 ([19fa359](https://github.com/telerik/kendo-build-tasks/commit/19fa359))
* upgrade to Webpack 4 ([7ccdbea](https://github.com/telerik/kendo-build-tasks/commit/7ccdbea))
* upgrade TSLint ([7002d38](https://github.com/telerik/kendo-build-tasks/commit/7002d38))
* use browser from environment ([02fb13b](https://github.com/telerik/kendo-build-tasks/commit/02fb13b))
* use karma from common tasks ([fbafe53](https://github.com/telerik/kendo-build-tasks/commit/fbafe53))
* use typescript tasks ([#26](https://github.com/telerik/kendo-build-tasks/issues/26)) ([71243e4](https://github.com/telerik/kendo-build-tasks/commit/71243e4))


### BREAKING CHANGES

* Remove theme build
* Version 2.0 of kendo-common-tasks removes the use of
CSS modules, which requires changes in downstream packages that consume
themes.
* New templates for the examples
* Remove Karma configuration
* Project tsconfig.json files must be updated to work with this setup

```diff
-    "types": [ "core-js", "jasmine", "zone.js" ],
+    "lib": ["es2015", "dom"],
+    "types": [ "jasmine", "zone.js" ],
```
* No longer compatible with Angular 2
* Requires tsconfig.es2015.json and an "es2015" entry in
package.json
* Package structure changed. See telerik/k2#24
* Use 'npm run build-package' for building the package
* Angular 2.0 final release
* no longer working with RC4
* Used to be @telerik
* TSLint upgraded, update your tslint.json files
