const path = require('path');
const presetPath = require.resolve('jest-preset-angular/package.json');
const preset = path.dirname(presetPath);

const config = {
    preset,
    setupFilesAfterEnv: [
        './test/_jest/setup.ts'
    ],
    testRegex: '/test/.*\\.test\\.ts$',
    globals: {
        'ts-jest': {
            tsconfig: 'test/tsconfig.json'
        }
    },
    modulePathIgnorePatterns: [ '<rootDir>/dist' ]
};

module.exports = config;
