const config = {
    testRegex: '/e2e/.*\\.spec\\.ts$',
    testTimeout: 30000,
    maxWorkers: "2",
    globals: {
        'ts-jest': {
            tsconfig: 'e2e/tsconfig.json'
        }
    },
    transform: {
        "^.+\\.[jt]sx?$": "ts-jest"
    },
    extraGlobals: [ "Math" ],
    modulePathIgnorePatterns: [ '<rootDir>/dist' ]
};

module.exports = config;
